# strstr

locate substring

## Calling Sequence

    res = strstr(haystack, needle)

## Arguments

haystack

  a character string or matrix of character strings.

needle

  a character string or matrix of character strings.

res

  a character string or matrix of character strings.

## Description

`res = strstr(haystack, needle)` returns a string matrix starting from where the first occurrence of `needle` in `haystack` to the end of `haystack`, or `''` if there `needle` is not part of `haystack`.

## Examples

    strstr('This is a simple string','simple')
    strstr('This is a simple string','sample')
    strstr(['This is a simple string','in scilab'],'is')
    strstr(['This is a sample string','in scilab'],['a','scilab'])

## See Also

- strrchr
- strchr